package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 检验记录发放收回台账
 * </p>
 *
 * @author author
 * @since 2025-01-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_check")
public class WriteCheck implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 检验原始记录 0为原始记录 1为其他
     */
    @ApiModelProperty(value = "检验原始记录 0为原始记录 1为其他",position = 1)
    private Integer originalRecord;

    /**
     * 其他内容
     */
    @ApiModelProperty(value = "其他内容",position = 2)
    private String other;

    /**
     * 记录名称
     */
    @ApiModelProperty(value = "记录名称",position = 3)
    private String recordName;

    /**
     * 记录编号
     */
    @ApiModelProperty(value = "记录编号",position = 4)
    private String recordCode;

    /**
     * 样品代码/批号
     */
    @ApiModelProperty(value = "样品代码/批号",position = 5)
    private String batchNum;

    /**
     * 检验号
     */
    @ApiModelProperty(value = "检验号",position = 6)
    private String inspectionNum;

    /**
     * 发放人日期
     */
    @ApiModelProperty(value = "发放人日期", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date sendDate;

    /**
     * 接收人日期
     */
    @ApiModelProperty(value = "接收人日期",position = 8)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date receiveDate;

    /**
     * 收回后去向 0存档 1销毁 2QA 3收发平横
     */
    @ApiModelProperty(value = "收回后去向 0存档 1销毁 2QA 3收发平横",position = 9)
    private Integer withdrawType;

    /**
     * 收回后数量
     */
    @ApiModelProperty(value = "收回后数量",position = 10)
    private String withdrawNum;

    /**
     * 收回人日期
     */
    @ApiModelProperty(value = "收回人日期",position = 11)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date withdrawDate;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注",position = 12)
    private String remark;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 13)
    private String orgId;

    /**
     * 上级记录id
     */
    @ApiModelProperty(value = "上级记录id",position = 14)
    private Integer listId;


}
